hpp-python: pyhpp::constraints Namespace Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Classes | Functions
pyhpp::constraints Namespace Reference

## Classes
struct | DFWrapper

## Functions
void | exposeDifferentiableFunction ()
void | exposeGenericTransformations ()
void | exposeManipulability ()
void | exposeImplicit ()
void | exposeExplicitConstraintSet ()
void | exposeExplicit ()
void | exposeLockedJoint ()
void | exposeHierarchicalIterativeSolver ()
void | exposeBySubstitution ()
void | exposeRelativeCom ()
tuple | BySubstitution_solve (const BySubstitution &hs, const vector_t &q)
boost::python::tuple | BySubstitution_describeError (BySubstitution &solver, vectorIn_t arg)
template<typename M >
void | lockJoint (M manipulability, const char *jointName)
Eigen::BlockIndex::segments_t | toSegments (const std::vector< size_type > &in)
Eigen::BlockIndex::segments_t | toSegments (const list &in)
ExplicitPtr_t | createExplicit (const LiegroupSpacePtr_t &configSpace, const DifferentiableFunctionPtr_t &f, const list &inArg, const list &outArg, const list &inDer, const list &outDer, const ComparisonTypes_t &comp)
template<typename GT_t >
GT_t::Ptr_t | AbsoluteGenericTransformation_create (const std::string &name, const DevicePtr_t &robot, const pinocchio::JointIndex &j2, const Transform3s &frame2, const Transform3s &frame1, std::vector< bool > mask)
template<typename GT_t >
void | exposeAbsoluteGenericTransformation (const char *name)
template<typename GT_t >
GT_t::Ptr_t | RelativeGenericTransformation_create (const std::string &name, const DevicePtr_t &robot, const pinocchio::JointIndex &j1, const pinocchio::JointIndex &j2, const Transform3s &frame1, const Transform3s &frame2, std::vector< bool > mask)
template<typename GT_t >
void | exposeRelativeGenericTransformation (const char *name)
LockedJointPtr_t | createLockedJoint (const DevicePtr_t &robot, const char *jointName, const vector_t &config)
LockedJointPtr_t | createLockedJointWithComp (const DevicePtr_t &robot, const char *jointName, const vector_t &config, const ComparisonTypes_t &comp)

## Function Documentation

## ◆ AbsoluteGenericTransformation_create()

template<typename GT_t >

GT_t::Ptr_t pyhpp::constraints::AbsoluteGenericTransformation_create | ( | const std::string & | name,
|  | const DevicePtr_t & | robot,
|  | const pinocchio::JointIndex & | j2,
|  | const Transform3s & | frame2,
|  | const Transform3s & | frame1,
|  | std::vector< bool > | mask
| ) |  |

## ◆ BySubstitution_describeError()

boost::python::tuple pyhpp::constraints::BySubstitution_describeError | ( | BySubstitution & | solver,
|  | vectorIn_t | arg
| ) |  |

## ◆ BySubstitution_solve()

tuple pyhpp::constraints::BySubstitution_solve | ( | const BySubstitution & | hs,
|  | const vector_t & | q
| ) |  |

## ◆ createExplicit()

ExplicitPtr_t pyhpp::constraints::createExplicit | ( | const LiegroupSpacePtr_t & | configSpace,
|  | const DifferentiableFunctionPtr_t & | f,
|  | const list & | inArg,
|  | const list & | outArg,
|  | const list & | inDer,
|  | const list & | outDer,
|  | const ComparisonTypes_t & | comp
| ) |  |

## ◆ createLockedJoint()

LockedJointPtr_t pyhpp::constraints::createLockedJoint | ( | const DevicePtr_t & | robot,
|  | const char * | jointName,
|  | const vector_t & | config
| ) |  |

## ◆ createLockedJointWithComp()

LockedJointPtr_t pyhpp::constraints::createLockedJointWithComp | ( | const DevicePtr_t & | robot,
|  | const char * | jointName,
|  | const vector_t & | config,
|  | const ComparisonTypes_t & | comp
| ) |  |

## ◆ exposeAbsoluteGenericTransformation()

template<typename GT_t >

void pyhpp::constraints::exposeAbsoluteGenericTransformation | ( | const char * | name | ) |

## ◆ exposeBySubstitution()

void pyhpp::constraints::exposeBySubstitution | ( |  | ) |

## ◆ exposeDifferentiableFunction()

void pyhpp::constraints::exposeDifferentiableFunction | ( |  | ) |

## ◆ exposeExplicit()

void pyhpp::constraints::exposeExplicit | ( |  | ) |

## ◆ exposeExplicitConstraintSet()

void pyhpp::constraints::exposeExplicitConstraintSet | ( |  | ) |

## ◆ exposeGenericTransformations()

void pyhpp::constraints::exposeGenericTransformations | ( |  | ) |

## ◆ exposeHierarchicalIterativeSolver()

void pyhpp::constraints::exposeHierarchicalIterativeSolver | ( |  | ) |

## ◆ exposeImplicit()

void pyhpp::constraints::exposeImplicit | ( |  | ) |

## ◆ exposeLockedJoint()

void pyhpp::constraints::exposeLockedJoint | ( |  | ) |

## ◆ exposeManipulability()

void pyhpp::constraints::exposeManipulability | ( |  | ) |

## ◆ exposeRelativeCom()

void pyhpp::constraints::exposeRelativeCom | ( |  | ) |

## ◆ exposeRelativeGenericTransformation()

template<typename GT_t >

void pyhpp::constraints::exposeRelativeGenericTransformation | ( | const char * | name | ) |

## ◆ lockJoint()

template<typename M >

void pyhpp::constraints::lockJoint | ( | M | manipulability,
|  | const char * | jointName
| ) |  |

## ◆ RelativeGenericTransformation_create()

template<typename GT_t >

GT_t::Ptr_t pyhpp::constraints::RelativeGenericTransformation_create | ( | const std::string & | name,
|  | const DevicePtr_t & | robot,
|  | const pinocchio::JointIndex & | j1,
|  | const pinocchio::JointIndex & | j2,
|  | const Transform3s & | frame1,
|  | const Transform3s & | frame2,
|  | std::vector< bool > | mask
| ) |  |

## ◆ toSegments() [1/2]

Eigen::BlockIndex::segments_t pyhpp::constraints::toSegments | ( | const list & | in | ) |

## ◆ toSegments() [2/2]

Eigen::BlockIndex::segments_t pyhpp::constraints::toSegments | ( | const std::vector< size_type > & | in | ) |